mscorlib 2.0.0.0 4.0.0.0 System.ValueType System.Runtime.InteropServices.ComVisible(true)

The , , and methods provide efficient resolution of metadata tokens to runtime handles for fields, methods, and types in the current module.

Represents a runtime handle for a module.

- Field
  2.0.0.0
  4.0.0.0
  System.ModuleHandle To be added.

  Represents an empty module handle.

- Method
  2.0.0.0
  4.0.0.0
  System.Runtime.ConstrainedExecution.ReliabilityContract(System.Runtime.ConstrainedExecution.Consistency.WillNotCorruptState, System.Runtime.ConstrainedExecution.Cer.Success)
  System.Boolean `` To be added.

  Returns a value indicating whether the specified structure is equal to the current .

  true if is equal to the current structure; otherwise false.

  The structure to be compared with the current .
- Method
  2.0.0.0
  4.0.0.0
  System.Runtime.ConstrainedExecution.ReliabilityContract(System.Runtime.ConstrainedExecution.Consistency.WillNotCorruptState, System.Runtime.ConstrainedExecution.Cer.Success)
  System.Boolean `` To be added.

  Returns a value indicating whether the specified object is a structure, and equal to the current .

  true if is a structure, and is equal to the current structure; otherwise, false.

  The object to be compared with the current structure.
- Method
  2.0.0.0
  4.0.0.0
  System.Int32 To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.RuntimeFieldHandle `` To be added.

  Returns a runtime handle for the field identified by the specified metadata token.

  A for the field identified by .

  A metadata token that identifies a field in the module.
- Method
  2.0.0.0
  4.0.0.0
  System.RuntimeMethodHandle `` To be added.

  Returns a runtime method handle for the method or constructor identified by the specified metadata token.

  A for the method or constructor identified by .

  A metadata token that identifies a method or constructor in the module.
- Method
  2.0.0.0
  4.0.0.0
  System.RuntimeTypeHandle `` To be added.

  Returns a runtime type handle for the type identified by the specified metadata token.

  A for the type identified by .

  A metadata token that identifies a type in the module.
- Property
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  For more information on the metadata header, see the Partition II: Metadata Definition and Semantics documentation. The documentation is available online; see ECMA C# and Common Language Infrastructure Standards on MSDN and Standard ECMA-335 - Common Language Infrastructure (CLI) on the Ecma International Web site.

  Gets the metadata stream version.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added.

  Tests whether two structures are equal.

  true if the structures are equal; otherwise, false.

  The structure to the left of the equality operator. The structure to the right of the equality operator.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added.

  Tests whether two structures are unequal.

  true if the structures are unequal; otherwise, false.

  The structure to the left of the inequality operator. The structure to the right of the inequality operator.
- Method
  2.0.0.0
  4.0.0.0
  System.RuntimeFieldHandle ``

  To resolve a metadata token that identifies a field whose parent TypeSpec has a signature containing element type var or mvar, use the method overload, which allows you to supply the necessary context.

  Information about metadata tokens can be found in the Common Language Infrastructure (CLI) documentation, especially "Partition II: Metadata Definition and Semantics". The documentation is available online; see ECMA C# and Common Language Infrastructure Standards on MSDN and Standard ECMA-335 - Common Language Infrastructure (CLI) on the Ecma International Web site.

  Returns a runtime handle for the field identified by the specified metadata token.

  A for the field identified by .

  A metadata token that identifies a field in the module.
- Method
  2.0.0.0
  4.0.0.0
  System.RuntimeFieldHandle `` `` ``

  Information about metadata tokens can be found in the Common Language Infrastructure (CLI) documentation, especially "Partition II: Metadata Definition and Semantics". The documentation is available online; see ECMA C# and Common Language Infrastructure Standards on MSDN and Standard ECMA-335 - Common Language Infrastructure (CLI) on the Ecma International Web site.

  Returns a runtime field handle for the field identified by the specified metadata token, specifying the generic type arguments of the type and method where the token is in scope.

  A for the field identified by .

  A metadata token that identifies a field in the module. An array of structures representing the generic type arguments of the type where the token is in scope, or null if that type is not generic. An array of structures representing the generic type arguments of the method where the token is in scope, or null if that method is not generic.
- Method
  2.0.0.0
  4.0.0.0
  System.RuntimeMethodHandle ``

  To resolve a metadata token for a MethodSpec whose signature contains element type var or mvar, use the method overload, which allows you to supply the necessary context.

  Information about metadata tokens can be found in the Common Language Infrastructure (CLI) documentation, especially "Partition II: Metadata Definition and Semantics". The documentation is available online; see ECMA C# and Common Language Infrastructure Standards on MSDN and Standard ECMA-335 - Common Language Infrastructure (CLI) on the Ecma International Web site.

  Returns a runtime method handle for the method or constructor identified by the specified metadata token.

  A for the method or constructor identified by .

  A metadata token that identifies a method or constructor in the module.
- Method
  2.0.0.0
  4.0.0.0
  System.RuntimeMethodHandle `` `` ``

  Information about metadata tokens can be found in the Common Language Infrastructure (CLI) documentation, especially "Partition II: Metadata Definition and Semantics". The documentation is available online; see ECMA C# and Common Language Infrastructure Standards on MSDN and Standard ECMA-335 - Common Language Infrastructure (CLI) on the Ecma International Web site.

  Returns a runtime method handle for the method or constructor identified by the specified metadata token, specifying the generic type arguments of the type and method where the token is in scope.

  A for the method or constructor identified by .

  A metadata token that identifies a method or constructor in the module. An array of structures representing the generic type arguments of the type where the token is in scope, or null if that type is not generic. An array of structures representing the generic type arguments of the method where the token is in scope, or null if that method is not generic.
- Method
  2.0.0.0
  4.0.0.0
  System.RuntimeTypeHandle ``

  To resolve a metadata token for a TypeSpec whose signature contains element type var or mvar, use the method overload, which allows you to supply the necessary context.

  Information about metadata tokens can be found in the Common Language Infrastructure (CLI) documentation, especially "Partition II: Metadata Definition and Semantics". The documentation is available online; see ECMA C# and Common Language Infrastructure Standards on MSDN and Standard ECMA-335 - Common Language Infrastructure (CLI) on the Ecma International Web site.

  Returns a runtime type handle for the type identified by the specified metadata token.

  A for the type identified by .

  A metadata token that identifies a type in the module.
- Method
  2.0.0.0
  4.0.0.0
  System.RuntimeTypeHandle `` `` ``

  Information about metadata tokens can be found in the Common Language Infrastructure (CLI) documentation, especially "Partition II: Metadata Definition and Semantics". The documentation is available online; see ECMA C# and Common Language Infrastructure Standards on MSDN and Standard ECMA-335 - Common Language Infrastructure (CLI) on the Ecma International Web site.

  Returns a runtime type handle for the type identified by the specified metadata token, specifying the generic type arguments of the type and method where the token is in scope.

  A for the type identified by .

  A metadata token that identifies a type in the module. An array of structures representing the generic type arguments of the type where the token is in scope, or null if that type is not generic. An array of structures objects representing the generic type arguments of the method where the token is in scope, or null if that method is not generic.